#ifndef _TILE_BASE_LIKELY_H
#define _TILE_BASE_LIKELY_H

#pragma once

#if __GNUC__
#define TILE_LIKELY(expr) (__builtin_expect(!!(expr), 1))
#define TILE_UNLIKELY(expr) (__builtin_expect(!!(expr), 0))
#else
#define TILE_LIKELY(expr) (expr)
#define TILE_UNLIKELY(expr) (expr)
#endif

#endif// _TILE_BASE_LIKELY_H
